PROC WrapText(TheString, TheWidth, MaxLines)
PRIVATE EditorWindow, EditorBag, NumLines, TextTemp

  ;Create the array to set the editor window width.
  DYNARRAY EditorBag[]
  EditorBag["WIDTH"] = TheWidth

  ;Open the editor with a temporary name.
  EDITOR NEW PRIVDIR()+"@@TEMP@@.SC"

  ;Set its width.
  WINDOW SETATTRIBUTES GETWINDOW() FROM EditorBag

  ;Turn wordwrapping on.
  MENU {Options} {WordWrap} {Set}

  ;Insert the long text string.
  EDITOR INSERT TheString

  ;Get the number of lines now in the editor.
  EDITOR INFO COMPLETE TO EditorBag
  IF NOT Retval
    THEN
      MENU {Cancel} {Yes}
      RETURN False
  ENDIF

  ;Define the number of lines to capture.
  IF UPPER(MaxLines) = "U"
    THEN
      NumLines = EditorBag["CURLINE"]
    ELSE
      NumLines = MIN(NUMVAL(MaxLines), EditorBag["CURLINE"])
  ENDIF

  ;Move to the first character in the editor window
  CTRLPGUP

  ;Capture the lines.
  DYNARRAY WrapArray[]
  FOR i FROM 1 TO NumLines
    HOME SHIFTPRESS "END" EDITOR EXTRACT TO TextTemp
    WrapArray[i] = TextTemp
    HOME DOWN
  ENDFOR

  ;Cancel the editor session.
  MENU {Cancel} {Yes}

  RETURN True

ENDPROC ;---WrapText
IF WrapText("This is the text string I want to display.  It is somewhat long.  Let's see how this works",20,"4")
  THEN
    Quit "Success"
  ELSE
    QUIT "Failure"
ENDIF

